<p-dataList 
    [value]="prospectPeople" 
    [paginator]="true" 
    [rows]="5"
    [paginator]="true"
    [pageLinks]="5"
    [rowsPerPageOptions]="[10,15,20]"
    [totalRecords]="totalItems"
    [responsive]="true"
    [lazy]="true"
    dataKey="idProspect"
    expandableRows="false"
    (onLazyLoad)="loadDataLazy($event)"
    >
    <p-header>
        <jhi-alert></jhi-alert>
        <!-- <div>
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="{{ 'mpmApp.prospectPerson.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div> -->
    </p-header>
    <ng-template let-rowData pTemplate="item">
         <div class="ui-g ui-fluid border-item" style="padding:0.8em;">
            <!-- <div class="ui-g-9 ui-md-9 ui-sm-6">
                <div style="margin-bottom: 30px;">
                    <div *ngIf="(rowData.person.firstName == null && rowData.person.lastName == null);then noname else namehere"></div>
                    <ng-template #noname>Please insert name</ng-template>
                    <ng-template #namehere>
                        <h3 class="text-uppercase">{{rowData.person.firstName}} {{rowData.person.lastName}}</h3>
                    </ng-template>
                </div>
                <div style="margin:10px 0px;">
                    <div *ngIf="(rowData.person.cellPhone1 == null);then nophone else phonehere"></div>
                    <ng-template #nophone>
                        <i class="fa fa-phone" aria-hidden="true"></i> -
                    </ng-template>
                    <ng-template #phonehere>
                        <i class="fa fa-phone" aria-hidden="true"></i> 
                        {{rowData.person.cellPhone1}}
                    </ng-template>
                </div>
                <div>
                    <div *ngIf="(rowData.person.postalAddress || rowData.person.postalAddress?.address1 == null);then noaddress else addresshere"></div>
                    <ng-template #noaddress>
                        <i class="fa fa-globe" aria-hidden="true"></i> -
                    </ng-template>
                    <ng-template #addresshere>
                            <i class="fa fa-globe" aria-hidden="true"></i> 
                            {{rowData.person.postalAddress.address1}} 
                            <span *ngIf="(rowData.person.postalAddress.cityId == null);then nocity else cityhere"></span>
                    </ng-template>
                    <ng-template #nocity><i>, No City</i></ng-template>
                    <ng-template #cityhere>, {{rowData.person.postalAddress.cityName}}</ng-template>
                </div>

            </div> -->
            <div class="ui-g-6 ui-md-4 ui-sm-12">

                <div style="margin-bottom: 30px;">
                        <div *ngIf="(rowData.person.firstName == null && rowData.person.lastName == null);then noname else namehere"></div>
                        <ng-template #noname>Please insert name</ng-template>
                        <ng-template #namehere>
                            <h3 class="text-uppercase">{{rowData.person.firstName}} {{rowData.person.lastName}}</h3>
                        </ng-template>
                    </div> 
                    <div class="row">
                            <div class="col-sm-4"><label>Telpon</label></div> <div class="col-sm-8">:  {{rowData.telp}} </div>
                    </div>
                    <div class="row">
                            <div class="col-sm-4"><label>Kunjungan</label></div> <div class="col-sm-8">:  {{rowData.kunjungan}}</div>
                    </div>
                    <div class="row">
                            <div class="col-sm-4"><label>Walk-in</label></div> <div class="col-sm-8">:  {{rowData.walkin}} </div>
                    </div>
            </div>

            <div class="ui-g-6 ui-md-4 ui-sm-12">
                <div class="row">
                        <div class="col-sm-4"><label></label></div>
                        <div *ngIf="rowData.assign == null" class="col-sm-8"></div> 
                        <div *ngIf="rowData.assign != null" class="col-sm-8"></div>
                </div>
                <div class="row">
                        <div class="col-sm-4"><label>Tanggal Assign</label></div>
                        <div *ngIf="rowData.assign == null" class="col-sm-8">: - </div> 
                        <div *ngIf="rowData.assign != null" class="col-sm-8">: {{ rowData.assign | date:'dd-MM-yyyy' }} </div>
                </div>
                <div class="row">
                        <div class="col-sm-4"><label>Last Followup</label></div> 
                        <div *ngIf="rowData.followup == null" class="col-sm-8">: - </div>
                        <div *ngIf="rowData.followup != null"  class="col-sm-8">: {{ rowData.followup | date:'dd-MM-yyyy' }} </div>
                </div>
                <div class="row">
                        <div class="col-sm-4"><label>Request Drop</label></div> 
                        <div *ngIf="rowData.reqdrop == null" class="col-sm-8">: Tidak </div>
                        <div *ngIf="rowData.reqdrop != null" class="col-sm-8">: Ya </div>
                </div>
            </div>
            <div class="ui-g-6 ui-md-4 ui-sm-12">
                    <table style="height: 100%;width: 100%;">
                        <tr>
                            <td class="align-middle">
                                <button type="button"
                                [routerLink]="['/prospect-person-korsal/'+ rowData.idProspect + '/detail']"
                                class="btn btn-primary btn-block">
                                Detail <i class="fa fa-eye" aria-hidden="true"></i>
                                </button>
                            </td>
                        </tr>
                    </table>
            </div>
        </div>
    </ng-template>
</p-dataList>